For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • DELDelete Model Sync
      • PATCHUpdate Sync
      • POSTActivate Sync
      • POSTStart Sync
      • GETGet Sync Status
Logo
Log inBook a demo
API ReferenceModel Sync

Activate Sync

POST
https://app.polytomic.com/api/syncs/:id/activate
POST
/api/syncs/:id/activate
$curl -X POST https://app.polytomic.com/api/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/activate \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "active": true
>}'
1{
2 "data": {
3 "active": true,
4 "id": "248df4b7-aa70-47b8-a036-33ac447e668d"
5 }
6}
Sets whether a model sync is active. Only active syncs execute on schedule or in response to a manual trigger. Set `active` to `false` to pause a sync without deleting it. > 📘 Deactivating a sync does not cancel an execution that is already in > progress. Use [`POST /api/syncs/{id}/cancel`](../../../../api-reference/model-sync/cancel) to stop a > running execution.
Was this page helpful?
Previous

Start Sync

Next

Sets whether a model sync is active.

Only active syncs execute on schedule or in response to a manual trigger. Set active to false to pause a sync without deleting it.

📘 Deactivating a sync does not cancel an execution that is already in progress. Use POST /api/syncs/{id}/cancel to stop a running execution.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Request

This endpoint expects an object.
activebooleanRequired

Response

OK
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error